### Virtual Method

# WPEPlatform GestureController get_gesture_delta

#### Declaration [src]

    gboolean
    get_gesture_delta (
      WPEGestureController* controller,
      double* x,
      double* y
    )

#### Description [src]

Get the delta of currently detected gesture such as “drag” gesture. If it doesn’t have a delta, `FALSE` is returned.

#### Parameters

`x`

  Type: `double*`

  Location to store delta on x axis.

  The argument will be set by the function.

`y`

  Type: `double*`

  Location to store delta on y axis.

  The argument will be set by the function.

#### Return value

Type: `gboolean`

`TRUE` if delta is returned in `x` and `y`, or `FALSE` if currently detected gesture doesn’t have a delta.